package cn.ey.biz.module.system.convert.delegation;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.api.delegation.dto.UserDelegationUnitDTO;
import cn.ey.biz.module.system.controller.admin.delegation.vo.UserDelegationUnitExcelVO;
import cn.ey.biz.module.system.controller.admin.delegation.vo.UserDelegationUnitRespVO;
import cn.ey.biz.module.system.controller.admin.delegation.vo.UserDelegationUnitSaveReqVO;
import cn.ey.biz.module.system.dal.dataobject.delegation.UserDelegationUnitDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface DelegationUnitConvert {

    DelegationUnitConvert INSTANCE = Mappers.getMapper(DelegationUnitConvert.class);

    List<UserDelegationUnitRespVO> convertList(List<UserDelegationUnitDO> list);

    List<UserDelegationUnitDTO> convertList2DTO(List<UserDelegationUnitDO> list);

    List<UserDelegationUnitExcelVO> convertList2ExcelVO(List<UserDelegationUnitDO> list);

    List<UserDelegationUnitDO> convertList2DO(List<UserDelegationUnitSaveReqVO> list);

    UserDelegationUnitRespVO convert(UserDelegationUnitDO bean);

    PageResult<UserDelegationUnitRespVO> convertPage(PageResult<UserDelegationUnitDO> page);

    UserDelegationUnitDO convert(UserDelegationUnitRespVO bean);


}
